<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<link href='http://fonts.googleapis.com/css?family=Arvo' rel='stylesheet' type='text/css'>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title>
<?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	?>
	</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php
if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); 
wp_head();
?>
</head>
<body <?php body_class();?>>
<div id="wrapper">
	<div id="header">
		<h1 id="site-title"><a href="<?php echo home_url( '/' ); ?>" title="<?php esc_attr_e( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<div id="site-description"><?php bloginfo( 'description' ); ?></div>
		<div id="rssbig"><a href="<?php echo get_bloginfo_rss('rss2_url');?>"><img src="<?php echo get_template_directory_uri()?>/images/rssbig.png" alt="RSS"></a></div>
		<div id="menu">
			<?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
			<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'Pia' ); ?>"><?php _e( 'Skip to content', 'Pia' ); ?></a></div>
			<?php 
			/* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  
			/* The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ 
			   global $wp_query; 
				$backup = $wp_query; 
				wp_reset_query(); 
				$newQuery = new WP_Query(array('post_type' => 'post')); 
				wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) );
				$wp_query = $backup; 
			?>
		</div><!-- #menu -->
	</div><!-- #header -->
	<div id="main">